org.keycloak.services.resources

## Class SocialResource

- java.lang.Object
- - org.keycloak.services.resources.SocialResource

-     @Path(value="/social")
      public class SocialResource
      extends Object

  Author:
    Stian Thorgersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ClientConnection` | `clientConnection`
    `protected javax.ws.rs.core.HttpHeaders` | `headers`
    `protected static org.jboss.logging.Logger` | `logger`
    `protected ProviderSession` | `providers`
    `protected ProviderSession` | `providerSession`
    `protected KeycloakSession` | `session`
    `protected javax.ws.rs.core.UriInfo` | `uriInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SocialResource(TokenManager tokenManager, SocialRequestManager socialRequestManager)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `callback()`
    `javax.ws.rs.core.Response` | `redirectToProviderAuth(String realmName, String providerId, String clientId, String scope, String state, String redirectUri, String responseType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static org.jboss.logging.Logger logger

    - #### uriInfo

          @Context
          protected javax.ws.rs.core.UriInfo uriInfo

    - #### headers

          @Context
          protected javax.ws.rs.core.HttpHeaders headers

    - #### providerSession

          @Context
          protected ProviderSession providerSession

    - #### session

          @Context
          protected KeycloakSession session

    - #### providers

          @Context
          protected ProviderSession providers

    - #### clientConnection

          @Context
          protected ClientConnection clientConnection

  - ### Constructor Detail

    - #### SocialResource

          public SocialResource(TokenManager tokenManager,
                        SocialRequestManager socialRequestManager)

  - ### Method Detail

    - #### callback

          @GET
          @Path(value="callback")
          public javax.ws.rs.core.Response callback()
                                             throws URISyntaxException

      Throws:
        `URISyntaxException`

    - #### redirectToProviderAuth

          @GET
          @Path(value="{realm}/login")
          public javax.ws.rs.core.Response redirectToProviderAuth(@PathParam(value="realm")
                                                                  String realmName,
                                                                  @QueryParam(value="provider_id")
                                                                  String providerId,
                                                                  @QueryParam(value="client_id")
                                                                  String clientId,
                                                                  @QueryParam(value="scope")
                                                                  String scope,
                                                                  @QueryParam(value="state")
                                                                  String state,
                                                                  @QueryParam(value="redirect_uri")
                                                                  String redirectUri,
                                                                  @QueryParam(value="response_type")
                                                                  String responseType)

Copyright © 2014. All Rights Reserved.